
package de.ivu.elect.presentation.benutzerverwaltung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerParameter;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(BenutzerParameterActionMenu.COMPONENT_NAME)
public class BenutzerParameterActionMenu extends AbstractActionMenuModelBuilder<BenutzerParameter> {

  public static final String COMPONENT_NAME = "benutzerParameterActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BenutzerParameterEditAction editAction;

  public BenutzerParameterActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<BenutzerParameter>> getActionEntriesSorted() {
    List<ActionEntry<BenutzerParameter>> result = new ArrayList<>();

    result.add(editAction);

    return result;
  }
}
